% fig_05_10
% plot strain ellipses and 2D vertical cross sections
% of the expanding sphere kinematic model
% Ramsay (1989)
% equation (5.15)

clear all, clf reset; % clear memory and figures
shrink = 0.25;
radii=[1 1.5 2 2.5 3];
th=0:1:360;th=th*pi/180;
covera=(radii/radii(1)).^3;
as=sqrt(covera);
cs=1./as;
% unit semicirle
tc=0:1:180;tc=tc*pi/180;
xc=cos(tc);yc=sin(tc);
plot(0,0), hold on
for ii=1:5
   xp=xc*radii(ii);yp=yc*radii(ii);
   plot(xp,yp,'k')
   xel=shrink*as(ii)*cos(th);yel=shrink*cs(ii)*sin(th);
   fill(xel,yel+radii(ii),[0.5 0.5 0.5])
end
axis('square'), axis([-2 2 0 4])