% fig_05_12
% plot velocity vectors and streamlines in vertical diametral
% plane for bouyant viscous sphere rising in a viscous fluid
% Lamb (1945)
% equations (5.19) and (5.20)

clear all, clf reset; % clear memory and figures
th=0:1:360;th=th*pi/180;
st=sin(th);ct=cos(th);
rad=1;
xcir=rad*ct;ycir=rad*st;
plot(xcir,ycir,'k') % plot circle
axis('square'), hold on;
% plot velocity vectors on square grid
yg=-1:0.1:1;
xg=yg';
X=xg*ones(size(yg));Y=ones(size(xg))*yg;
r=sqrt(X.^2+Y.^2);
vy=-2*r.^2+Y.^2+1;
vx=X.*Y;
% avoid grid points outside circle
vx(find(r>1)) = nan; vy(find(r>1)) = nan;
quiver(X,Y,vx,vy,'k')
aa=1.1;
axis([-aa aa -aa aa])
axis('square')
axis([-1.2 1.2 -1.2 1.2])

% plot streamlines 

th=0:1:360;th=th*pi/180;
st=sin(th);ct=cos(th);
rad=1;
xcir=rad*ct;ycir=rad*st;
figure, plot(xcir,ycir,'k') % plot circle
axis('square'), hold on;
xs=-1:.01:1;ys=xs';
X=ones(size(ys))*xs;
Y=ys*ones(size(xs));
X2=X.^2;Y2=Y.^2;
R2=X2+Y2;
fee=-(1-R2).*X2;
fcon=-0.9:0.02:0;
cc=contour(xs,ys,fee,fcon);
axis([-1.2 1.2 -1.2 1.2])