% fig_05_13
% plot initial grid of particles in vertical diametral
% plane and deformed grid after rise of one radius
% for bouyant viscous sphere rising in a viscous fluid
% Lamb (1945)

clear all, clf reset; % clear memory and figures
th=0:1:360;th=th*pi/180;
ct=cos(th);st=sin(th);
plot(st,ct,'k'), hold on;
% input parameters
dt=0.001;
tfin=0.5;
% initial grid
xmax=sqrt(2)/2;
xs=-xmax:xmax/10:xmax;
ys=xs';
xxx=ones(size(ys))*xs;
yyy=ys*ones(size(xs));
% initial grid points
xin=xxx;yin=yyy;
% these may be shifted by -0.5 in x 
% and then be superposed to give the plot 
% in Figure 5.13
% the shift is done here:
yin=yin-1;
for t=0:dt:tfin
   rrr=xxx.^2+yyy.^2;
   vy=-2*rrr+yyy.^2+1;
   vx=xxx.*yyy;
   xxx=xxx+vx*dt;
   yyy=yyy+vy*dt;
end
plot(xxx,yyy,'k',xxx',yyy','k',xin,yin,'k+')
axis('square')
axis([ -1.6 1.6 -2 1.2])