% fig_05_15
% plot deformed shapes of a set of equally-spaced horizontal
% lines in the vertical diametral plane after rise of one radius
% for bouyant viscous sphere in a viscous fluid 
% Lamb (1945)

clear all, clf reset; % clear memory and figures
th=0:1:360;th=th*pi/180;
ct=cos(th);st=sin(th);
plot(st,ct,'c'), hold on;
% input parameters
dt=0.001;
tfin=1; % set tfin = dt for initial state of lines
% set of initially horizontal lines
yhors=-2/3:1/3:2/3;
for ii=1:5
   yhor=yhors(ii);
   xhor=sqrt(1-yhor^2);
   xxx=-xhor:xhor/100:xhor;
   yyy=0*xxx+yhor;
	for t=0:dt:tfin
   	rrr=xxx.^2+yyy.^2;
   	vy=-2*rrr+yyy.^2+1;
   	vx=xxx.*yyy;
   	xxx=xxx+vx*dt;
   	yyy=yyy+vy*dt;
	end
   plot(xxx,yyy,'k')
end
axis('square');
aa=1.1;
axis([-aa aa -aa aa]);