% fig_05_24
% plot initial chevron fold with circular markers
% use homogneous flattening to deform fold and markers
% equation (5.39)

clear all, clf reset; % clear memory and figures
% plots initial low-dip chevron fold
lt=6; % initial limb length to thickness ratio = lt;
thet=15; % limb dip = thet(degrees)
th=thet*pi/180;
plot(0,0), hold on;
st=sin(th);ct=cos(th);
xmid=lt*ct-st;ytop=ct+lt*st;
xl=[0 xmid 2*xmid 2*xmid+st xmid -st 0];
yl=[0 ytop-1/ct 0 ct ytop ct 0];
for N=1:6
   up=(N-1)*(1/ct);
   fill(xl,yl+up,'y')
end
% put in some circles
thet=0:1:360;th=thet*pi/180;
rd=0.5;xcir=rd*cos(th);ycir=rd*sin(th);
xpp=[xmid-lt/2 xmid xmid+lt/2];
ypp=[2 4 6];
xshift=2*lt;
for jj=1:3
   fill(xcir+xpp(jj),ycir+ypp(jj),[0.5 0.5 0.5])
end
   
% deform the fold and circles
Fxx=0.5;
Fyy=1/Fxx;
xldef=Fxx*xl;
yldef=Fyy*yl;

updef=yldef(5)-yldef(2);
for N=1:6
   fill(xldef+xshift,yldef+(N-1)*updef,'y')
end
xppdef=Fxx*[xmid-lt/2 xmid xmid+lt/2];
yppdef=Fyy*[2 4 6];
xcirdef=Fxx*xcir;
ycirdef=Fyy*ycir;
for jj=1:3
   fill(xcirdef+xppdef(jj)+xshift,ycirdef+yppdef(jj),[0.5 0.5 0.5])
   end
axis('square')
axis([-2 4*lt -2 4*lt]);