% fig_05_25
% generate a fold form by applying a plane deformation to
% a "seed fold" with sinusoidal variation

clear all, clf reset; %clear memory and figures
% Single trace for seed fold
xs=-2*pi:pi/200:2*pi;
amp=0.2;
yprime=amp*cos(xs);
% form a vertical sequence of in-phase sinusoidal surfaces
% deform each in sequence and plot
ym=2;
spacint=0.5;
ymean=-ym:spacint:ym;ilayers=sum(0*ymean+1);
xmax=2*pi*1.1;ymax=xmax;
% INSERT DEFORMATION GRADIENT TENSOR
FXX=0.5;
FXY=2;
FYX=0;
FYY=1/FXX;
plot(0,0), hold on
for ii=1:ilayers
   yseed=ymean(ii)+yprime;
   xdef=FXX*xs+FXY*yseed;
   ydef=FYX*xs+FYY*yseed;
   plot(xdef,ydef,'k')
   if max(abs(xdef))>xmax
      xmax=max(abs(xdef));
   else
   end
      if max(abs(ydef))>ymax
      ymax=max(abs(ydef));
   else
   end
end
axis('square')
lmax=xmax;
if ymax>xmax
   lmax=ymax;
else
end
pp=1.1*lmax;
axis([-pp pp -pp pp])