% fig_05_27
% plot velocity field for rigid layers that rotate and slide
% use particles on a square grid within the limb of a chevron fold
% De Sitter (1964)
% equation (5.62)

clear all, clf reset; % clear memory and figures
% input: figure 5.27a(delta=0), 5.27b(delta=22.5
delta=0*pi/180;
td=tan(delta);
Lxx=-td;
Lyx=-(1-td^2);
Lyy=td;
xs=-1:.1:1;ys=xs';
X=ones(size(ys))*xs;Y=ys*ones(size(xs));
vx=Lxx*X;
vy=Lyx*X+Lyy*Y;
quiver(X,Y,vx,vy,'k')
axis('square')
mm=1.25; axis([-mm mm -mm mm]);