% fig_05_28
% plot velocity field for rigid layers that rotate and slide
% the two components are separated into figures 1 and 2
% De Sitter (1964)
% equations (5.63) and (5.64)

clear all, clf reset; % clear memory and figures
%input for layer parallel slip only
delta=22.5*pi/180;
td=tan(delta);
Lxx=-td;
Lxy=-1;
Lyx=-(1-td^2)+1;
Lyy=td;
xs=-1:.1:1;ys=xs';
X=ones(size(ys))*xs;Y=ys*ones(size(xs));
vx=Lxx*X+Lxy*Y;
vy=Lyx*X+Lyy*Y;
quiver(X,Y,vx,vy,'k')
axis('square')
mm=1.25; axis([-mm mm -mm mm]);

%input for limb rotation only
Lxx=0;
Lxy=1
Lyx=-1;
Lyy=0;
xs=-1:.1:1;ys=xs';
X=ones(size(ys))*xs;Y=ys*ones(size(xs));
vx=Lxx*X+Lxy*Y;
vy=Lyx*X+Lyy*Y;
figure, quiver(X,Y,vx,vy,'k')
axis('square')
mm=1.25; axis([-mm mm -mm mm]);