% fig_05_29
% plot velocity field for combined rigid layer and homogeneous flattening
% use particles on a square grid within the limb of chevron fold
% equation (5.70)

clear all, clf reset; % clear memory and figures
%input
delta=22.5*pi/180;
R=1;
td=tan(delta);
Lxx=-1;
Lxy=0;
Lyx=((1/(1+R))*(1/td-td))*Lxx;
Lyy=-Lxx;
% look at rotation alone
%Lxx=0;
%Lxy=-1;
%Lyx=+1;
%Lyy=0;
% end input
xs=-1:.1:1;ys=xs';
X=ones(size(ys))*xs;Y=ys*ones(size(xs));
vx=Lxx*X+Lxy*Y;
vy=Lyx*X+Lyy*Y;
quiver(X,Y,vx,vy,'k')
axis('square')
mm=1.25; axis([-mm mm -mm mm]);