% fig_05_32
% plot initial and deformed material loci for homogneous flattening
% use two lines making a right angle and a circle
% equation (5.78)

clear all, clf reset; % clear memory and figures
x1=[0 1];y1=[0 0];
x2=[0 0];y2=[0 1];
ang=0:1:360;ang=ang*pi/180;
xcir=0.5*(1+cos(ang));ycir=0.5*(1+sin(ang));
plot(x1,y1,'k',x2,y2,'k',xcir,ycir,'k')
axis('square')
axis([-0.5 1.5 -0.5 1.5])
% rotate by -ddeg to initial dip
ddeg=10;
delt=ddeg*pi/180;
omeg=-delt;com=cos(omeg);som=sin(omeg);
x1r=x1*com-y1*som;y1r=x1*som+y1*com;
x2r=x2*com-y2*som;y2r=x2*som+y2*com;
xcirr=xcir*com-ycir*som;ycirr=xcir*som+ycir*com;
plot(x1r,y1r,'k',x2r,y2r,'k',xcirr,ycirr,'k')
axis('square')
axis([-0.5 1.5 -0.5 1.5])
% place away from origin
xput=4;yput=2;
x1r=x1r+xput;y1r=y1r+yput;
x2r=x2r+xput;y2r=y2r+yput;
xcirr=xcirr+xput;ycirr=ycirr+yput;
% plot initial loci
plot(x1r,y1r,'k',x2r,y2r,'k',xcirr,ycirr,'k')
axis('square'), hold on;
% use steady velocity field to move particles of loci
lxx=-1;lyy=1;lxy=0;lyx=0;
% set tfins!
dt=0.001;
tfins=[0.25 0.35 0.4];
for jj=1:3
   tfin=tfins(jj);
	for t = 0:dt:tfin-dt
   	vx=lxx*x1r+lxy*y1r;vy=lyx*x1r+lyy*y1r;
   	x1r=x1r+vx*dt;y1r=y1r+vy*dt;
  	 	vx=lxx*x2r+lxy*y2r;vy=lyx*x2r+lyy*y2r;
   	x2r=x2r+vx*dt;y2r=y2r+vy*dt;
   	vx=lxx*xcirr+lxy*ycirr;vy=lyx*xcirr+lyy*ycirr;
   	xcirr=xcirr+vx*dt;ycirr=ycirr+vy*dt;
	end
	% plot final loci
   plot(x1r,y1r,'k',x2r,y2r,'k',xcirr,ycirr,'k')
end
axis equal; axis([0 6 0 8.5]);
